# eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.ProjectBrowserHelper

Module implementing the shelve extension project browser helper.

### Global Attributes

None

### Classes

ShelveProjectBrowserHelper | Class implementing the shelve extension project browser helper.

### Functions

None

## ShelveProjectBrowserHelper

Class implementing the shelve extension project browser helper.

### Derived from

HgExtensionProjectBrowserHelper

### Class Attributes

None

### Class Methods

None

### Methods

ShelveProjectBrowserHelper | Constructor
__hgShelve | Private slot used to shelve all current changes.
__reopenProject | Private method to reopen the project if needed and wanted.
initMenus | Public method to generate the extension menus.
menuTitle | Public method to get the menu title.
showExtensionMenu | Public method to prepare the extension menu for display.

### Static Methods

None

#### ShelveProjectBrowserHelper (Constructor)

ShelveProjectBrowserHelper(vcsObject, browserObject, projectObject)

Constructor

vcsObject
  reference to the vcs object
browserObject
  reference to the project browser object
projectObject
  reference to the project object

#### ShelveProjectBrowserHelper.__hgShelve

__hgShelve()

Private slot used to shelve all current changes.

#### ShelveProjectBrowserHelper.__reopenProject

__reopenProject(shouldReopen, title)

Private method to reopen the project if needed and wanted.

shouldReopen
  flag indicating that the project should be reopened (boolean)
title
  title of the message box (string)

#### ShelveProjectBrowserHelper.initMenus

initMenus()

Public method to generate the extension menus.

Return:
  dictionary of populated menu (dict of QMenu). The dict must have the keys 'mainMenu', 'multiMenu', 'backMenu', 'dirMenu' and 'dirMultiMenu'.

#### ShelveProjectBrowserHelper.menuTitle

menuTitle()

Public method to get the menu title.

Return:
  title of the menu (string)

#### ShelveProjectBrowserHelper.showExtensionMenu

showExtensionMenu(key, controlled)

Public method to prepare the extension menu for display.

key
  menu key (string, one of 'mainMenu', 'multiMenu', 'backMenu', 'dirMenu' or 'dirMultiMenu')
controlled
  flag indicating to prepare the menu for a version controlled entry or a non-version controlled entry (boolean)

Up